Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162299 - lftp prefers IPv4 over IPv6
Summary: lftp prefers IPv4 over IPv6
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: lftp
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-02 01:35 UTC by Daniel Roesen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-05 13:43:58 UTC


Attachments (Terms of Use)

Description Daniel Roesen 2005-07-02 01:35:18 UTC
Unfortunately, lftp prefers IPv4 over IPv6 by default. I would like to see Fedora
modifying /etc/lftp.conf with the following line:

set dns:order "inet6 inet"

This reverts the order and lets lftp prefer IPv6 if available.

Comment 1 Jason Vas Dias 2005-07-05 13:43:58 UTC
There is the 'dns:order' boolean .lftprc configuration variable for
this purpose.
Putting the line:
  'set dns:order inet6 inet'
in the lftp configuration file should do the trick - ie. in either
the system-wide /etc/lftp.conf or the per-user ~/.lftp/rc or ~/.lftprc .
You could also put the 'options inet6' statement in /etc/resolv.conf
or rebuild the lftp package with the '-DINET6' option to achieve the
same effect.

This should not be the default setting, as most systems still use 
IPv4 first by default, and the 'inet inet6' default order is as
documented in the lftp man-pages. Changing the default order would
confuse  and annoy many lftp users and make our lftp distribution
different from all others.


Comment 2 Daniel Roesen 2005-07-06 22:42:42 UTC
Of course there is "dns:order", as I wrote in my original report.

Regarding "most systems still use IPv4 first by default", this is just outright
wrong. In dual stack systems, IPv6 is to be used by default, not IPv4. And
actually I haven't seen it implemented the other way before, except in lftp.

Anyway, the upstream author of lftp understood and fixed it for the next lftp
version, so Fedora will have that fixed with the next lftp update too.


Note You need to log in before you can comment on or make changes to this bug.